<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/PixelValue.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_pixel_value_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PixelValue.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_pixel_value_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_PIXELVALUE_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_PIXELVALUE_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacearm__compute.xhtml">arm_compute</a></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">   36</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>{ { 0 } }</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    }</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#aeee8c50430251df2909cb16bd435a0b9">   44</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#aeee8c50430251df2909cb16bd435a0b9">PixelValue</a>(uint8_t v)</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u8 = v;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a013dcabbedc5e470addaefe209c1d970">   53</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a013dcabbedc5e470addaefe209c1d970">PixelValue</a>(uint16_t v)</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u16 = v;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    }</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a759f09965687c6aea87dc4df7dd6f6b8">   62</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a759f09965687c6aea87dc4df7dd6f6b8">PixelValue</a>(int16_t v)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s16 = v;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#ac04b0e04c1556f01d22c34af2afa564f">   71</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#ac04b0e04c1556f01d22c34af2afa564f">PixelValue</a>(uint32_t v)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u32 = v;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a9deb64fff1a3515aa4bcd6f21dd3c4c0">   80</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a9deb64fff1a3515aa4bcd6f21dd3c4c0">PixelValue</a>(int32_t v)</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s32 = v;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    }</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a90103a4ef4ab615848bb3afce5b97be1">   89</a></span>&#160;    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a90103a4ef4ab615848bb3afce5b97be1">PixelValue</a>(<span class="keywordtype">float</span> v)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a>()</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.f32 = v;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keyword">union</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        {</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#afe42472c55e7e5df52b8aaca94d0fa7e">   99</a></span>&#160;            uint8_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#afe42472c55e7e5df52b8aaca94d0fa7e">rgb</a>[3];  </div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a9d55760e9791473bc0c71da0fc648ee0">  100</a></span>&#160;            uint8_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a9d55760e9791473bc0c71da0fc648ee0">yuv</a>[3];  </div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#ac24a28b797176d8a1e73d27f64c058d2">  101</a></span>&#160;            uint8_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#ac24a28b797176d8a1e73d27f64c058d2">rgbx</a>[4]; </div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a7d886905c667c4e8e91251b6a3a98f39">  102</a></span>&#160;            <span class="keywordtype">float</span>    <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a7d886905c667c4e8e91251b6a3a98f39">f32</a>;     </div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a0084c9e8c5778849f41d9de5df9c0f85">  103</a></span>&#160;            uint8_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a0084c9e8c5778849f41d9de5df9c0f85">u8</a>;      </div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a1234f83efa812e259523c91799614a3c">  104</a></span>&#160;            uint16_t <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a1234f83efa812e259523c91799614a3c">u16</a>;     </div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#adbbcd82ccbf61d179ba87ee5fe1bb7d8">  105</a></span>&#160;            int16_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#adbbcd82ccbf61d179ba87ee5fe1bb7d8">s16</a>;     </div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#ae65af0c4a8ee050043fe4b575f0a26a0">  106</a></span>&#160;            uint32_t <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#ae65af0c4a8ee050043fe4b575f0a26a0">u32</a>;     </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#acd1420e45b5486795a46cf1a5943a0ff">  107</a></span>&#160;            int32_t  <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#acd1420e45b5486795a46cf1a5943a0ff">s32</a>;     </div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        } <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a3997ae7153b94a3595d1a33186356a5b">  113</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(uint8_t &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u8;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    }</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#ae73f8684a3789f908181988c0ac061a7">  121</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(uint16_t &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u16;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    }</div><div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a8b08ca140cdafc88aa39ff660a1c477a">  129</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(int16_t &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    {</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s16;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    }</div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#af39addc08f2f12f258c64be7de2a95c2">  137</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(uint32_t &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u32;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    }</div><div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#a2abd12bde55e3887e34e030e8352e06d">  145</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(int32_t &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    {</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s32;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    }</div><div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pixel_value.xhtml#ac66bff5206364de49b3159e9cc9d3e58">  153</a></span>&#160;    <span class="keywordtype">void</span> <span class="keyword">get</span>(<span class="keywordtype">float</span> &amp;v) <span class="keyword">const</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    {</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.f32;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    }</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;};</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __ARM_COMPUTE_PIXELVALUE_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_ac24a28b797176d8a1e73d27f64c058d2"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#ac24a28b797176d8a1e73d27f64c058d2">arm_compute::PixelValue::rgbx</a></div><div class="ttdeci">uint8_t rgbx[4]</div><div class="ttdoc">4 channels: RGBX8888 </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00101">PixelValue.h:101</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml">arm_compute::PixelValue</a></div><div class="ttdoc">Class describing the value of a pixel for any image format. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00032">PixelValue.h:32</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a90103a4ef4ab615848bb3afce5b97be1"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a90103a4ef4ab615848bb3afce5b97be1">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(float v)</div><div class="ttdoc">Initialize the union with a F32 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00089">PixelValue.h:89</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_aeee8c50430251df2909cb16bd435a0b9"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#aeee8c50430251df2909cb16bd435a0b9">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(uint8_t v)</div><div class="ttdoc">Initialize the union with a U8 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00044">PixelValue.h:44</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_afe42472c55e7e5df52b8aaca94d0fa7e"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#afe42472c55e7e5df52b8aaca94d0fa7e">arm_compute::PixelValue::rgb</a></div><div class="ttdeci">uint8_t rgb[3]</div><div class="ttdoc">3 channels: RGB888 </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00099">PixelValue.h:99</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a0084c9e8c5778849f41d9de5df9c0f85"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a0084c9e8c5778849f41d9de5df9c0f85">arm_compute::PixelValue::u8</a></div><div class="ttdeci">uint8_t u8</div><div class="ttdoc">Single channel U8. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00103">PixelValue.h:103</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a1234f83efa812e259523c91799614a3c"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a1234f83efa812e259523c91799614a3c">arm_compute::PixelValue::u16</a></div><div class="ttdeci">uint16_t u16</div><div class="ttdoc">Single channel U16. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00104">PixelValue.h:104</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml"><div class="ttname"><a href="namespacearm__compute.xhtml">arm_compute</a></div><div class="ttdef"><b>Definition:</b> <a href="arm__compute_8dox_source.xhtml#l00001">arm_compute.dox:1</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a7d886905c667c4e8e91251b6a3a98f39"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a7d886905c667c4e8e91251b6a3a98f39">arm_compute::PixelValue::f32</a></div><div class="ttdeci">float f32</div><div class="ttdoc">Single channel float 32. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00102">PixelValue.h:102</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a013dcabbedc5e470addaefe209c1d970"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a013dcabbedc5e470addaefe209c1d970">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(uint16_t v)</div><div class="ttdoc">Initialize the union with a U16 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00053">PixelValue.h:53</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_adbbcd82ccbf61d179ba87ee5fe1bb7d8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#adbbcd82ccbf61d179ba87ee5fe1bb7d8">arm_compute::PixelValue::s16</a></div><div class="ttdeci">int16_t s16</div><div class="ttdoc">Single channel S16. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00105">PixelValue.h:105</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_ac04b0e04c1556f01d22c34af2afa564f"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#ac04b0e04c1556f01d22c34af2afa564f">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(uint32_t v)</div><div class="ttdoc">Initialize the union with a U32 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00071">PixelValue.h:71</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a9deb64fff1a3515aa4bcd6f21dd3c4c0"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a9deb64fff1a3515aa4bcd6f21dd3c4c0">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(int32_t v)</div><div class="ttdoc">Initialize the union with a S32 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00080">PixelValue.h:80</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_acd1420e45b5486795a46cf1a5943a0ff"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#acd1420e45b5486795a46cf1a5943a0ff">arm_compute::PixelValue::s32</a></div><div class="ttdeci">int32_t s32</div><div class="ttdoc">Single channel S32. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00107">PixelValue.h:107</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_ae65af0c4a8ee050043fe4b575f0a26a0"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#ae65af0c4a8ee050043fe4b575f0a26a0">arm_compute::PixelValue::u32</a></div><div class="ttdeci">uint32_t u32</div><div class="ttdoc">Single channel U32. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00106">PixelValue.h:106</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a9d55760e9791473bc0c71da0fc648ee0"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a9d55760e9791473bc0c71da0fc648ee0">arm_compute::PixelValue::yuv</a></div><div class="ttdeci">uint8_t yuv[3]</div><div class="ttdoc">3 channels: Any YUV format </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00100">PixelValue.h:100</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a759f09965687c6aea87dc4df7dd6f6b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a759f09965687c6aea87dc4df7dd6f6b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue(int16_t v)</div><div class="ttdoc">Initialize the union with a S16 pixel value. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00062">PixelValue.h:62</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="_pixel_value_8h.xhtml">PixelValue.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
